import Bluebird from "bluebird";
export interface Defer<T> {
    resolve: (value?: T) => void;
    reject: (err?: unknown) => void;
    promise: Bluebird<T>;
}
export declare function defer<T>(): Defer<T>;
export declare function allSettled(promises: Bluebird<unknown>[]): Bluebird<Bluebird.Inspection<unknown>[]>;
